#
# spec file for package libnet (Version 1.1.2.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libnet
BuildRequires:  libpcap
Summary:        A C Library for Portable Packet Creation
Version:        1.1.2.1
Release:        18.2
License:        Other License(s), see package
Group:          System/Libraries
URL:            http://www.packetfactory.net/libnet/
Source:         %{name}.tar.bz2
Patch1:         %{name}-endianess-fix.diff
Patch2:         %{name}-shared.diff
Patch4:         %{name}-%{version}-makefile.diff
Patch5:         %{name}-%{version}-strict-aliasing-fix.diff
Patch6:         %{name}-%{version}-uninitialized-fix.diff
Patch7:         %{name}-%{version}-arrray-fix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libnet is an API to help with the construction and handling of network
packets. It provides a portable framework for low-level network packet
writing and handling. Libnet includes packet creation at the IP layer
and at the link layer as well as a host of supplementary and
complementary functionality. Libnet is very useful for writing network
tools and network test code. See the man page and sample test code for
more detailed information.



Authors:
--------
    Mike D. Schiffman <mike@infonexus.com>

%debug_package
%prep
%setup -q -n libnet
%patch1
%patch2
%patch4
%patch5
%patch6
%patch7

%build
%{suse_update_config -f}
libtoolize -f
aclocal
automake -ac
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -Wno-unused" \
./configure --prefix=%{_prefix}  \
            --with-pf_packet=yes \
            --libdir=%{_libdir}  \
            --mandir=%{_mandir}
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT 
install -d -m 755 $RPM_BUILD_ROOT/{usr/bin/,%{_mandir}/man3}
install -m 755 libnet-config $RPM_BUILD_ROOT/usr/bin/
install -m 640 doc/man/man3/*.3 $RPM_BUILD_ROOT/%{_mandir}/man3
rm -rf `find -name "CVS" -type d` doc/man
rm -rf sample/{.libs,Makefile*} 
find sample -name "*.o" -o -type f -perm +111 |xargs rm -rf

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc doc/* sample 
/usr/bin/*
%{_mandir}/man3/*
/usr/include/*
%{_libdir}/lib*

%changelog -n libnet
* Fri Feb 17 2006 - lmichnovic@suse.cz
- fixed subscription beyond array and uninitialized variable [#151312]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 19 2005 - mmarek@suse.cz
- fixed some gcc warnings
* Thu Nov 18 2004 - ro@suse.de
- fixed file list
* Wed Aug 04 2004 - postadal@suse.cz
- updated to version 1.1.2.1
* Wed Feb 11 2004 - postadal@suse.cz
- removed compiled files from /usr/share/doc/packages/libnet/sample
* Tue Feb 10 2004 - postadal@suse.cz
- updated to version 1.1.1
- removed obsoleted patches: autoconf-fix.diff, samples.diff
- fixed code that broke strict aliasing
* Sun Jan 11 2004 - adrian@suse.de
- add %%run_ldconfig
* Wed Aug 13 2003 - mjancar@suse.cz
- build also shared library
* Thu Jul 24 2003 - meissner@suse.de
- honor detected endianess.
* Thu Jul 24 2003 - postadal@suse.cz
- update to version 1.1.0
* Mon Nov 11 2002 - postadal@suse.cz
- fixed deprecated multiline string literals
* Wed Jan 09 2002 - cihlar@suse.cz
- use %%{_libdir}
* Wed Feb 14 2001 - cihlar@suse.cz
- update to version 1.0.2a
- clean up spec file
* Thu Nov 16 2000 - grimmer@suse.de
- initial package (version 1.0.1b)
